Groovy Documentation

## groovy.swing.factory
[Groovy] Class BeanFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory

    class BeanFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Version:
  \$Revision: 7953 \$

Since:
  Groovy 1.1

Field Summary
`protected boolean` | `leaf`

Property Summary
`java.lang.Class` | `beanClass`

Constructor Summary
`BeanFactory(java.lang.Class beanClass)`
`BeanFactory(java.lang.Class beanClass, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### leaf

    protected final boolean leaf

Property Detail

### beanClass

    final java.lang.Class beanClass

Constructor Detail

### BeanFactory

    BeanFactory(java.lang.Class beanClass)

### BeanFactory

    BeanFactory(java.lang.Class beanClass, boolean leaf)

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation